notifications_update
const url = 'https://example.com/api/notifications/1';const options = { method: 'PUT', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"verb":"example","workspace":"example","unread":true,"archived":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/notifications/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --data '{ "verb": "example", "workspace": "example", "unread": true, "archived": true }'Update a notification.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”A unique integer value identifying this Notification.
Header Parameters
Section titled “Header Parameters”Workspace ID
Request Body
Section titled “Request Body”Serializer for Notification model.
object
Return a dictionary containing information about the actor object.
Parameters
obj : object The object that contains an actor attribute with relevant information.
Returns
dict A dictionary containing the actor’s full name, email, class name, and ID.
object
Return a dictionary containing information about the action object.
Parameters
obj : object The object that contains information about an action object.
Returns
dict A dictionary with keys “obj” and “id”, representing the content type of the action object and its ID, respectively. Includes “extra_info” if applicable.
object
Return a dictionary containing information about a target object.
Parameters
obj : object The object that has a target attribute with relevant information.
Returns
dict A dictionary containing the target object’s content type name, type ID, and title. Includes “extra_info” if applicable.
object
Return the download URL stored in extra data, if any.
Return the number of objects a grouped notification stands for, if any.
Serializer for Notification model.
object
Return a dictionary containing information about the actor object.
Parameters
obj : object The object that contains an actor attribute with relevant information.
Returns
dict A dictionary containing the actor’s full name, email, class name, and ID.
object
Return a dictionary containing information about the action object.
Parameters
obj : object The object that contains information about an action object.
Returns
dict A dictionary with keys “obj” and “id”, representing the content type of the action object and its ID, respectively. Includes “extra_info” if applicable.
object
Return a dictionary containing information about a target object.
Parameters
obj : object The object that has a target attribute with relevant information.
Returns
dict A dictionary containing the target object’s content type name, type ID, and title. Includes “extra_info” if applicable.
object
Return the download URL stored in extra data, if any.
Return the number of objects a grouped notification stands for, if any.
Serializer for Notification model.
object
Return a dictionary containing information about the actor object.
Parameters
obj : object The object that contains an actor attribute with relevant information.
Returns
dict A dictionary containing the actor’s full name, email, class name, and ID.
object
Return a dictionary containing information about the action object.
Parameters
obj : object The object that contains information about an action object.
Returns
dict A dictionary with keys “obj” and “id”, representing the content type of the action object and its ID, respectively. Includes “extra_info” if applicable.
object
Return a dictionary containing information about a target object.
Parameters
obj : object The object that has a target attribute with relevant information.
Returns
dict A dictionary containing the target object’s content type name, type ID, and title. Includes “extra_info” if applicable.
object
Return the download URL stored in extra data, if any.
Return the number of objects a grouped notification stands for, if any.
Responses
Section titled “Responses”No response body
object
object
Example
{ "code": "body_validation_error", "message": "The request body does not match the schema for the expected parameters. Check the `details` property for more details.", "details": [ { "parameter": "archived", "message": "archived_value is not a valid boolean.", "code": "invalid" } ]}object
object
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
